﻿using System;
using System.Xml.Serialization;

namespace XmlSerialization
{
	/// <summary>
	/// Описание на лице
	/// </summary>
	/// <remarks>В XML типът се казва "Person"</remarks>
	[XmlType("Person")]
	public class Person
	{
		/// <summary>
		/// Идентификатор
		/// </summary>
		/// <remarks>
		/// В XML се сериализира като атрибут.
		/// </remarks>
		[XmlAttribute("identifier")]
		public string Identifier { get; set; }

		/// <summary>
		/// Име
		/// </summary>
		[XmlElement("firstName")]
		public string FirstName { get; set; }

		/// <summary>
		/// Презиме
		/// </summary>
		[XmlElement("middleName")]
		public string MiddleName { get; set; }

		/// <summary>
		/// Фамилия
		/// </summary>
		[XmlElement("lastName")]
		public string LastName { get; set; }

		/// <summary>
		/// Рожденна дата
		/// </summary>
		/// <remarks>В XML се сериализира само частта с датата.</remarks>
		[XmlElement("birthday", DataType = "date")]
		public DateTime Birthday { get; set; }

		/// <summary>
		/// Пол
		/// </summary>
		[XmlElement("gender")]
		public Gender Gender { get; set; }
	}
}
